VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::UnknownSection Class Reference

The `UnknownSection` class contains information about an unknown section in an OVF package. More...

List of all members.

## Public Member Functions
| UnknownSection ()
| Creates a default new instance.
string | GetTag ()
| A namespace-qualified tag in the form
    {ns}tag
.
void | SetTag (string tag)
| A namespace-qualified tag in the form
    {ns}tag
.
string | GetInfo ()
| The description of the Info element.
void | SetInfo (string info)
| The description of the Info element.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `UnknownSection` class contains information about an unknown section in an OVF package.

## Constructor & Destructor Documentation

vmware::vcenter::ovf::UnknownSection::UnknownSection | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::UnknownSection::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::UnknownSection::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::UnknownSection::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::UnknownSection::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::UnknownSection::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::UnknownSection::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vcenter::ovf::UnknownSection::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::ovf::UnknownSection::GetInfo | ( |  | ) | `[inline]`

The description of the Info element.

string vmware::vcenter::ovf::UnknownSection::GetTag | ( |  | ) | `[inline]`

A namespace-qualified tag in the form

    {ns}tag

.

void vmware::vcenter::ovf::UnknownSection::SetInfo | ( | string | info | ) | `[inline]`

The description of the Info element.

void vmware::vcenter::ovf::UnknownSection::SetTag | ( | string | tag | ) | `[inline]`

A namespace-qualified tag in the form

    {ns}tag

.

override string vmware::vcenter::ovf::UnknownSection::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- UnknownSection.cs